03/02/2017 03:55 PM - Christopher R. Gabriel
Target version:

Description

Non viene installato il pacchetto syslinux, quindi il task del server pxe fallisce perche' non trova i file da copiare in /srv.

Non e' nella iso, ma mi aspettavo che lo installasse I'esecuzione di fuss-server create, ma invece ho dovuto installare a mano il
pacchetto syslinux, e poi rilanciare create.

History

#1 - 03/02/2017 05:30 PM - Christopher R. Gabriel

- Assignee changed from Simone Piccardi to Elena Grandi

Riassegno ad Elena per domattina.

#2 - 03/02/2017 06:13 PM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandli to Christopher R. Gabriel

A me sembra che i file non siano in syslinux ma in syslinux-common, che & Recommend di pxelinux (che gia veniva installato)

Adesso viene comunque esplicitamente richiesta I'installazione anche di syslinux-common.

#3 - 03/02/2017 06:17 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Si, sono in syslinux-common, io avevo risolto installando syslinux, che dipende da syslinux-common. Quindi prima installava anche i recommends e
ora no? cosa e' cambiato e dove?

#4 - 03/02/2017 07:24 PM - Simone Piccardi

Con limmagine ISO del fuss-server rilasciata ieri il create non fallisce e syslinux-common viene installato con l'installazione di pxelinux. Se il
problema dipende dall'installazione dei Recommend invece che no (ma senza sapere su quale installazione si € manifestato il problema, e se
dipende da quello) la cosa va chiarita.

Quando il fuss-server create fallisce serve avere l'intera registrazione messaggi forniti da ansible durante l'installazione, come gia scritto in
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting.

#5 - 03/03/2017 10:08 AM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting

Ipotizzo che non abbia funzionato trovandosi pxelinux gia installato dalliso senza le dipendenze.

Nel commit di ieri pomeriggio avevo anche aggiunto una dipendenza esplicita su syslinux-common in fuss-server-dependencies, se aiuta.

#6 - 03/03/2017 10:12 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Puoi pubblicare versione aggiornata sul repository, cosi' riproviamo a fare la iso?

#7 - 03/03/2017 11:21 AM - Elena Grandi
- Assignee changed from Elena Grandi to Christopher R. Gabriel

pacchetto aggiornato pubblicato da Christopher, iso in preparazione sempre da parte sua

#8 - 03/03/2017 11:30 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Verificato, ok
